# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`lldpd`](#lldpd): A module to manage lldpd and related facts

_Private Classes_

* `lldpd::install`: Manages the lldpd package
* `lldpd::repo`: Manages the yum or apt repositories
* `lldpd::service`: Manages the lldpd service + facts

## Classes

### lldpd

lldpd

#### Examples

##### Basic usage

```puppet
include lldpd
```

#### Parameters

The following parameters are available in the `lldpd` class.

##### `manage_facts`

Data type: `Boolean`

Enable or disable the fact deployment. Doesn't work on FreeBSD yet

Default value: `true`

##### `manage_service`

Data type: `Boolean`

Enable or disable the service management

Default value: `true`

##### `manage_repo`

Data type: `Boolean`

Enable or disable the repository setup

##### `manage_jq`

Data type: `Boolean`

Enable or disable the installation of jq (this manages only the package, not any repository that you might need)

##### `repourl`

Data type: `Optional[String[1]]`

String that completes the url for the upstream repository

Default value: `undef`

##### `gpgkeyfingerprint`

Data type: `String[1]`

String with the ID from the gpg key that signed the packages

Default value: 'EF795E4D26E48F1D7661267B431C37A97C3E114B'

##### `ensure`

Data type: `Enum['present', 'absent', 'latest']`

Install or deinstall all related components

Default value: 'present'

